ModifyOrder (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.messaging

## Class ModifyOrder

- java.lang.Object
- - com.marketfactory.messaging.ModifyOrder

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<ModifyOrder>

      public final class ModifyOrder
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<ModifyOrder>, java.io.Serializable

  Trading Action: A request to modify the amount/price of an existing order.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFFloat` | `amount` Modified amount of the order (can be changed on some exchanges.).
    `java.lang.String` | `clNewID` The ID to use for the new, modified order.
    `java.lang.String` | `clOrdID` Client-provided order ID.
    `java.lang.String` | `extra` Reserved for future use.
    `int` | `feedID` A unique identifier for the feed.
    `int` | `marketID` A market ID, which identifies a unique financial instrument.
    `MFFloat` | `minAmount` Minimum amount to be filled for this order.
    `long` | `orderID` Internal order ID.
    `OrderType` | `ordType` Limit order or market order.
    `MFFloat` | `price` Modified price of the order (can be changed on some exchanges.).
    `Side` | `side` Desired side of the order (can be changed on some exchanges.).
    `long` | `timeApiClient` Timestamp at the client API (taken on the client host).
    `long` | `timeApiServer` Timestamp in the client handler within Whisperer.
    `long` | `timeHandler` Timestamp exiting the feed handler within Whisperer.
    `TimeInForce` | `timeInForce` How long this order is meant to be alive for, IOC or GTC.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ModifyOrder()`
    `` | `ModifyOrder(long orderID, java.lang.String clOrdID, java.lang.String clNewID, long timeApiClient, long timeApiServer, long timeHandler, int feedID, int marketID, Side side, MFFloat amount, MFFloat price, MFFloat minAmount, OrderType ordType, TimeInForce timeInForce, java.lang.String extra)`
    `protected` | `ModifyOrder(ProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ModifyOrder rhs)`
    `void` | `deserialize(ProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### orderID

          public long orderID

      Internal order ID.

    - #### clOrdID

          public java.lang.String clOrdID

      Client-provided order ID.

    - #### clNewID

          public java.lang.String clNewID

      The ID to use for the new, modified order.

    - #### timeApiClient

          public long timeApiClient

      Timestamp at the client API (taken on the client host).

    - #### timeApiServer

          public long timeApiServer

      Timestamp in the client handler within Whisperer.

    - #### timeHandler

          public long timeHandler

      Timestamp exiting the feed handler within Whisperer.

    - #### feedID

          public int feedID

      A unique identifier for the feed.

    - #### marketID

          public int marketID

      A market ID, which identifies a unique financial instrument.

    - #### side

          public Side side

      Desired side of the order (can be changed on some exchanges.).

    - #### amount

          public MFFloat amount

      Modified amount of the order (can be changed on some exchanges.).

    - #### price

          public MFFloat price

      Modified price of the order (can be changed on some exchanges.).

    - #### minAmount

          public MFFloat minAmount

      Minimum amount to be filled for this order.

    - #### ordType

          public OrderType ordType

      Limit order or market order.

    - #### timeInForce

          public TimeInForce timeInForce

      How long this order is meant to be alive for, IOC or GTC.

    - #### extra

          public java.lang.String extra

      Reserved for future use.

  - ### Constructor Detail

    - #### ModifyOrder

          public ModifyOrder()

    - #### ModifyOrder

          protected ModifyOrder(ProtoByteBuffer buffer)

    - #### ModifyOrder

          public ModifyOrder(long orderID,
                             java.lang.String clOrdID,
                             java.lang.String clNewID,
                             long timeApiClient,
                             long timeApiServer,
                             long timeHandler,
                             int feedID,
                             int marketID,
                             Side side,
                             MFFloat amount,
                             MFFloat price,
                             MFFloat minAmount,
                             OrderType ordType,
                             TimeInForce timeInForce,
                             java.lang.String extra)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(ModifyOrder rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ModifyOrder>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserialize

          public void deserialize(ProtoByteBuffer buffer)

      Specified by:
        `deserialize` in interface `IMessage`

    - #### serialize

          public void serialize(ProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)